App ServiceApp ServiceUsers
API reference
Every HTTP endpoint of the apps module: authentication, IAM action, parameters, bodies and status codes.
Generated from the module's code when its image was built — do not edit. Paths are relative to https://api.example.com.
App Compute Plans
GET /boundaries/{boundaryId}/resources/appcomputeplans
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
Responses
App Files
DELETE /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/apps/{name}/files
- Authentication: required
- IAM action:
apps/writeFiles — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroup |
path |
string |
Yes |
name |
path |
string |
Yes |
component |
query |
string |
No |
path |
query |
string |
No |
recursive |
query |
boolean |
No |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/writeFiles at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/apps/{name}/files
- Authentication: required
- IAM action:
apps/readFiles — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroup |
path |
string |
Yes |
name |
path |
string |
Yes |
component |
query |
string |
No |
path |
query |
string |
No |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/readFiles at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/apps/{name}/files/archive
- Authentication: required
- IAM action:
apps/readFiles — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroup |
path |
string |
Yes |
name |
path |
string |
Yes |
component |
query |
string |
No |
path |
query |
string |
No |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/readFiles at the evaluated scope |
|
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/apps/{name}/files/directory
- Authentication: required
- IAM action:
apps/writeFiles — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroup |
path |
string |
Yes |
name |
path |
string |
Yes |
Request body: MakeDirectoryRequest
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/writeFiles at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/apps/{name}/files/download
- Authentication: required
- IAM action:
apps/readFiles — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroup |
path |
string |
Yes |
name |
path |
string |
Yes |
component |
query |
string |
No |
path |
query |
string |
No |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/readFiles at the evaluated scope |
|
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/apps/{name}/files/move
- Authentication: required
- IAM action:
apps/writeFiles — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroup |
path |
string |
Yes |
name |
path |
string |
Yes |
Request body: MoveRequest
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/writeFiles at the evaluated scope |
|
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/apps/{name}/files/upload
- Authentication: required
- IAM action:
apps/writeFiles — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroup |
path |
string |
Yes |
name |
path |
string |
Yes |
component |
query |
string |
No |
name |
query |
string |
No |
path |
query |
string |
No |
Request body: binary
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/writeFiles at the evaluated scope |
|
App Runtimes
GET /boundaries/{boundaryId}/resources/appruntimes
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
PagedListResponse<AppRuntimeDto> |
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
Apps
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
PagedListResponse<AppDto> |
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/config
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
- Operation name:
GetAppsConfig
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
string |
Yes |
resourceGroupName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
DELETE /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}
- Authentication: required
- IAM action:
apps/delete — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/delete at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
PATCH /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}
- Authentication: required
- IAM action:
apps/write — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Request body: any
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/write at the evaluated scope |
|
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}
- Authentication: required
- IAM action:
apps/write — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Request body: AppDto
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/write at the evaluated scope |
|
PUT /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}
- Authentication: required
- IAM action:
apps/write — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Request body: AppDto
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/write at the evaluated scope |
|
PUT /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/actions/{action}
- Authentication: required
- IAM action:
apps/write — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
action |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/write at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/certificate-status
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/deployments
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/deployments
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Request body: DeploymentLogEntryDto
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/deployments/config
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
string |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
PUT /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/deployments/{deploymentId}
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
deploymentId |
path |
uuid |
Yes |
Request body: DeploymentLogEntryDto
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/deployments/{deploymentId}/build-logs
- Authentication: required
- IAM action:
apps/readLogs — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
deploymentId |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/readLogs at the evaluated scope |
|
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/deployments/{deploymentId}/logs
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
deploymentId |
path |
uuid |
Yes |
Request body: UploadBuildLogsRequest
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/logs
- Authentication: required
- IAM action:
apps/readLogs — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/readLogs at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/metrics
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
from |
query |
integer |
No |
step |
query |
string |
No |
stepSeconds |
query |
integer |
No |
to |
query |
integer |
No |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/metrics/web
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/pods
- Authentication: required
- IAM action:
apps/readLogs — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/readLogs at the evaluated scope |
|
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/revisions/{number}/rollback
- Authentication: required
- IAM action:
apps/write — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
number |
path |
integer |
Yes |
ifMatchRevision |
query |
integer |
No |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/write at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/revisions/{number}/rollback-preview
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
number |
path |
integer |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots
- Authentication: required
- IAM action:
apps/write — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Request body: SlotDto
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/write at the evaluated scope |
|
DELETE /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}
- Authentication: required
- IAM action:
apps/delete — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/delete at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
PUT /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}
- Authentication: required
- IAM action:
apps/write — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
Request body: any
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/write at the evaluated scope |
|
PUT /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}/actions/{action}
- Authentication: required
- IAM action:
apps/write — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
action |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/write at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}/deployments
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}/deployments
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
Request body: DeploymentLogEntryDto
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}/deployments/config
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
string |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
PUT /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}/deployments/{deploymentId}
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
deploymentId |
path |
uuid |
Yes |
Request body: DeploymentLogEntryDto
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}/deployments/{deploymentId}/build-logs
- Authentication: required
- IAM action:
apps/readLogs — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
deploymentId |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/readLogs at the evaluated scope |
|
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}/deployments/{deploymentId}/logs
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
deploymentId |
path |
uuid |
Yes |
Request body: UploadBuildLogsRequest
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}/logs
- Authentication: required
- IAM action:
apps/readLogs — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/readLogs at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/slots/{slotName}/pods
- Authentication: required
- IAM action:
apps/readLogs — evaluated at the resource in the path; a data action
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
slotName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/readLogs at the evaluated scope |
|
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/apps/{appName}/source-control
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
resourceGroupName |
path |
string |
Yes |
appName |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
GET /boundaries/{boundaryId}/resources/apps
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
PagedListResponse<AppDto> |
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
GET /boundaries/{boundaryId}/resources/apps/config
- Authentication: required
- IAM action:
apps/read — evaluated at the resource in the path
- Operation name:
GetAllAppsConfig
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/read at the evaluated scope |
|
POST /boundaries/{boundaryId}/resources/apps/url
- Authentication: required
- IAM action:
apps/write — evaluated at the resource in the path
Parameters
| Name |
In |
Type |
Required |
boundaryId |
path |
uuid |
Yes |
Request body: AppNameRequest
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
403 |
The caller does not hold apps/write at the evaluated scope |
|
Docs
GET /docs/apps/manifest.json
- Authentication: required
- Operation name:
DocsManifest_apps
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
GET /docs/apps/{path}
- Authentication: required
- Operation name:
DocsFile_apps
Parameters
| Name |
In |
Type |
Required |
path |
path |
string |
Yes |
Responses
| Status |
Meaning |
Body |
200 |
OK |
|
401 |
Not signed in, or the token is invalid |
|
Other endpoints
GET /readyz
- Authentication: none — anonymous callers are accepted
- Operation name:
StackshipReadiness
Responses
Schemas
ActionType
One of: Allow, Deny.
AppComputePlanDto
| Property |
Type |
Nullable |
cpu |
integer |
No |
description |
string |
No |
name |
string |
No |
pricePerMonth |
number |
Yes |
ram |
integer |
No |
storage |
integer |
No |
storageType |
StorageType |
No |
AppConfigDto
| Property |
Type |
Nullable |
appSettings |
map (string) |
No |
detailedErrorLoggingEnabled |
boolean |
No |
ipSecurityRestrictions |
SecurityRestrictionDto |
No |
AppDto
| Property |
Type |
Nullable |
boundary |
string |
No |
boundaryId |
uuid |
No |
clusterId |
uuid |
No |
clusterName |
string |
No |
collection |
string |
No |
computePlan |
string |
No |
createdAt |
date-time |
No |
hostname |
string |
No |
id |
uuid |
No |
kind |
string |
No |
name |
string |
No |
properties |
AppPropertiesDto |
No |
region |
string |
No |
resourceGroup |
string |
No |
retention |
RetentionConfigDto |
Yes |
scaling |
ScalingDto |
Yes |
scalingStatus |
AppScalingStatusDto |
Yes |
secrets |
map (string) |
Yes |
slots |
SlotDto [] |
No |
status |
string |
No |
storage |
AppStorageDto |
Yes |
tags |
map (string) |
No |
url |
string |
No |
AppNameRequest
| Property |
Type |
Nullable |
name |
string |
No |
resourceGroupName |
string |
Yes |
AppPropertiesDto
| Property |
Type |
Nullable |
additionalHostnames |
string [] |
Yes |
appConfig |
AppConfigDto |
Yes |
build |
BuildSettingsDto |
Yes |
customDnsName |
string |
Yes |
httpOnly |
boolean |
No |
letsEncrypt |
boolean |
No |
persistentStorage |
boolean |
No |
port |
integer |
No |
redirectHostnames |
string [] |
Yes |
runtime |
string |
No |
scm |
ScmDto |
No |
version |
string |
No |
wwwHostnames |
string [] |
Yes |
AppRuntimeDto
| Property |
Type |
Nullable |
enabled |
boolean |
No |
endOfLifeDate |
date |
Yes |
name |
string |
No |
runtime |
string |
No |
version |
string |
No |
AppScalingStatusDto
| Property |
Type |
Nullable |
message |
string |
Yes |
ready |
boolean |
No |
reason |
string |
Yes |
AppStorageDto
| Property |
Type |
Nullable |
mountPath |
string |
No |
size |
string |
No |
storageClass |
string |
Yes |
BuildSettingsDto
| Property |
Type |
Nullable |
buildTimeSettings |
string [] |
Yes |
startProject |
string |
Yes |
DeploymentLogEntryDto
| Property |
Type |
Nullable |
appName |
string |
No |
boundaryId |
uuid |
No |
branch |
string |
Yes |
commitSha |
string |
Yes |
containerImage |
string |
Yes |
deploymentId |
uuid |
No |
id |
uuid |
No |
lastMessage |
string |
No |
phase |
string |
No |
provider |
string |
Yes |
repositoryName |
string |
Yes |
resourceGroupName |
string |
No |
serveMode |
string |
Yes |
slotName |
string |
Yes |
source |
string |
Yes |
timestamp |
date-time |
No |
KedaTriggerDto
| Property |
Type |
Nullable |
metadata |
map (string) |
No |
type |
string |
No |
MakeDirectoryRequest
| Property |
Type |
Nullable |
component |
string |
Yes |
path |
string |
No |
MoveRequest
| Property |
Type |
Nullable |
component |
string |
Yes |
from |
string |
No |
to |
string |
No |
PagedListResponse<AppComputePlanDto>
PagedListResponse<AppDto>
PagedListResponse<AppRuntimeDto>
| Property |
Type |
Nullable |
hasNextPage |
boolean |
No |
hasPreviousPage |
boolean |
No |
page |
integer |
No |
pageSize |
integer |
No |
totalItems |
integer |
No |
totalPages |
integer |
No |
RetentionConfigDto
| Property |
Type |
Nullable |
keepForDays |
integer |
Yes |
keepLast |
integer |
Yes |
ScalingDto
ScalingHpaDto
| Property |
Type |
Nullable |
cpuTarget |
integer |
No |
maxReplicas |
integer |
Yes |
minReplicas |
integer |
Yes |
ScalingKedaDto
| Property |
Type |
Nullable |
cooldownPeriod |
integer |
Yes |
maxReplicas |
integer |
No |
minReplicas |
integer |
No |
pollingInterval |
integer |
Yes |
triggers |
KedaTriggerDto [] |
No |
ScalingType
One of: Manual, Hpa, Keda.
ScmDto
| Property |
Type |
Nullable |
appInstallationId |
string |
Yes |
commit |
string |
Yes |
defaultBranch |
string |
Yes |
image |
string |
No |
pinnedImage |
string |
Yes |
repositoryId |
string |
Yes |
tag |
string |
No |
type |
ScmType |
No |
url |
string |
No |
ScmType
One of: GitHub, GitLab, AzureDevOps, Git, Container.
SecurityRestrictionDto
| Property |
Type |
Nullable |
action |
ActionType |
No |
ipAddress |
string |
No |
name |
string |
No |
SlotDto
| Property |
Type |
Nullable |
appConfig |
AppConfigDto |
No |
branch |
string |
No |
build |
BuildSettingsDto |
Yes |
commit |
string |
Yes |
deployToken |
string |
Yes |
hostname |
string |
No |
name |
string |
No |
pinnedImage |
string |
Yes |
runtime |
string |
No |
status |
string |
No |
version |
string |
No |
StorageType
One of: 0 = Standard, 1 = Premium.
UploadBuildLogsRequest
| Property |
Type |
Nullable |
appName |
string |
No |
boundaryId |
string |
No |
logs |
string |
No |
resourceGroupName |
string |
No |
timestamp |
date-time |
No |